# Optional: Plotting the rejection region.
plt.hist(t0_, bins=np.linspace(-5, 5, 50))
l = min(t(x, y), -t(x, y))
r = max(t(x, y), -t(x, y))
plt.hist(t0_[t0_ <= l], bins=np.linspace(-5, 5, 50), color='r')
plt.hist(t0_[t0_ >= r], bins=np.linspace(-5, 5, 50), color='r')
plt.axvline(x=l, color='r')
plt.axvline(x=r, color='r')
plt.axes().get_yaxis().set_visible(False)
plt.title("Hypothesis test for $\\hat{\\nu} = \\hat{\\mu}$ at $p=" + str(p) + "$")
plt.xlabel("$\\hat{\\nu} - \\hat{\\mu}$")
plt.ylabel("Density")
plt.show()
