# Fit a simple linear model.
X = np.column_stack([np.sin(2 * np.pi * t), np.cos(2 * np.pi * t), t-2000])
model = sklearn.linear_model.LinearRegression()
model.fit(X, temp)

# Step 1.
# Define a readout function that accepts a dataset and returns the statistic of interest.
def gamma_hat(temp):
    # Fit the model. Use the t values from the original climate dataset,
    # and assume that temp contains a new vector of temperature readings
    # that matches the times t in the dataset.
    # Return the gamma coefficient from the fitted model.
    new_model = sklearn.linear_model.LinearRegression()
    new_model.fit(X, temp)
    return new_model.coef_[-1]


# Define a function to generate a synthetic copy of the dataset,
# using parametric resampling. Here, parametric resampling means
# resampling the noise.
pred = model.predict(X)
sigma_hat = np.sqrt(np.mean((pred - temp) ** 2))
def rtemp():
    return np.random.normal(loc=pred, scale=sigma_hat)

# Step 3.
# Sample the readout statistic, and find the 0.25 and 0.975 quantiles.
gamma_hat_ = [gamma_hat(rtemp()) for _ in range(10000)]
lo, hi = np.quantile(gamma_hat_, [.025, .975])

print(f"gamma : {gamma_hat(temp)}")
print(f"Confidence interval: [{lo}, {hi}]")
# One possible output:
# gamma : 0.03537...
# Confidence interval: [0.02192..., 0.04881...]
