# Depict a two-sided hypothesis test.
# This code assumes that the observed test statistic is on the right hand tail,
# and finds an equally-extreme point u on the left hand tail.
_, ax = plt.subplots(figsize=(4.5, 3))
plt.title("Hypothesis test $\\hat{\\delta}$ in Celsius per year")
plt.xlabel("$\\delta = \\gamma_{2010s} - \\gamma_{1980s}$")
plt.ylabel("Density")
ax.get_yaxis().set_visible(False)
b = np.linspace(-1.2, 1.7, 60)

ax.hist(delta_0_, bins=b, alpha=.8)
u = np.sort(delta_0_)[round((p/2)*len(delta_0_))]
ax.hist(delta_0_[delta_0_ > delta(temp)], bins=b, color='red')
ax.hist(delta_0_[delta_0_ < u], bins=b, color='red')
ax.axvline(delta(temp), color='black')
ax.axvline(u, color='black', linestyle='dotted')
plt.show()
