# Step 1. Define a test statistic
# (A good choice is delta defined above)

# Step 2. To generate a synthetic dataset, assuming H0 is true
decades0 = [d for d in decades if d not in [1980,2010]]
X0 = np.column_stack([np.where(decade == d, 1, 0) for d in decades0] + [np.sin(2*np.pi*t), np.cos(2*np.pi*t)])
model = sklearn.linear_model.LinearRegression()
model.fit(X0, temp)
pred0 = model.predict(X0)
sigma_hat0 = np.sqrt(np.mean((temp-pred0)**2))
def rtemp0():
    return np.random.normal(loc=pred0, scale=sigma_hat0)

# Step 3. Sample the test statistic, report p-value
delta_0_ = np.array([delta(rtemp0()) for _ in range(10000)])
p = 2 * min(np.mean(delta_0_ >= delta(temp)), np.mean(delta_0_ <= delta(temp)))

print(f"p-value = {p}")
# One possible output:
# p-value = 0.0
