# Fit the model.
decade = np.floor(t/10).astype(int) * 10
decades = list(np.sort(np.unique(decade)))
X = np.column_stack([np.where(decade == d, 1, 0) for d in decades] + [np.sin(2*np.pi*t), np.cos(2*np.pi*t)])

model = sklearn.linear_model.LinearRegression(fit_intercept=False)
model.fit(X, temp)
gamma_hat = [model.coef_[decades.index(d)] for d in decades]
pandas.Series(gamma_hat, index=decades)

# Step 1. Define a readout function
def delta(temp):
    model = sklearn.linear_model.LinearRegression(fit_intercept=False)
    model.fit(X, temp)
    return model.coef_[decades.index(2010)] - model.coef_[decades.index(1980)]

# Step 2. To generate a synthetic dataset ...
pred = model.predict(X)
def rtemp():
    sigma_hat = np.sqrt(np.mean((temp-pred)**2))
    return np.random.normal(loc=pred, scale=sigma_hat)

# Step 3. Sample the readout statistic, report a confidence interval
delta_ = np.array([delta(rtemp()) for _ in range(10000)])
lo, hi = np.quantile(delta_, [.025, .975])
print(f"delta : {delta(temp)}")
print(f"Confidence interval: [{lo}, {hi}]")
# One possible output:
# delta : 1.069...
# Confidence interval: [0.6114..., 1.524...]
